#
# ZDS II Make File - starter, Release
#

CC = @C:\PROGRA~1\ZiLOG\ZDSII_~1.4\bin\eZ80cc
ASM = @C:\PROGRA~1\ZiLOG\ZDSII_~1.4\bin\eZ80asm
LINK = @C:\PROGRA~1\ZiLOG\ZDSII_~1.4\bin\eZ80link
LIB = @C:\PROGRA~1\ZiLOG\ZDSII_~1.4\bin\eZ80lib
WEBTOC = @C:\PROGRA~1\ZiLOG\ZDSII_~1.4\bin\mkwebpage

CFLAGS =  \
 -alias -asm -const:RAM -debug -define:_EZ80F91  \
 -define:_EZ80ACCLAIM! -NOexpmac -fplib -intsrc -intrinsic  \
 -NOkeepasm -NOkeeplst -NOlist -NOlistinc -maxerrs:50 -NOmodsect  \
 -promote -quiet -strict -NOwatch -optsize -localopt -localcse  \
 -localfold -localcopy -peephole -globalopt -NOglobalcse  \
 -NOglobalfold -NOglobalcopy -NOloopopt -NOsdiopt -NOjmpopt  \
 -stdinc:"C:\PROGRA~1\ZiLOG\ZDSII_~1.4\include;C:\PROGRA~1\ZiLOG\ZDSII_~1.4\include\eZ80Acclaim!;C:\PROGRA~1\ZiLOG\ZDSII_~1.4\include\eZ80Acclaim!\EZ80F91"  \
 -usrinc:"include" -bitfieldsize:24 -charsize:8 -doublesize:32  \
 -floatsize:32 -intsize:24 -longsize:32 -shortsize:16 -cpu:EZ80F91  \
 -asmsw:"-cpu:EZ80F91"

AFLAGS =  \
 -debug -genobj -NOigcase  \
 -include:"include;C:\PROGRA~1\ZiLOG\ZDSII_~1.4\include;C:\PROGRA~1\ZiLOG\ZDSII_~1.4\include\eZ80Acclaim!;C:\PROGRA~1\ZiLOG\ZDSII_~1.4\include\eZ80Acclaim!\EZ80F91"  \
 -list -NOlistmac -name -pagelen:56 -pagewidth:80 -quiet -sdiopt  \
 -warn -NOzmasm -cpu:EZ80F91

OUTDIR = P:\Privat\Z80_Contest\Software\RemotePictureDisplay\output\

Release: starter

deltarget: 
	@if exist P:\Privat\Z80_Contest\Software\RemotePictureDisplay\starter.lod  \
            del P:\Privat\Z80_Contest\Software\RemotePictureDisplay\starter.lod
	@if exist P:\Privat\Z80_Contest\Software\RemotePictureDisplay\starter.hex  \
            del P:\Privat\Z80_Contest\Software\RemotePictureDisplay\starter.hex

clean: 
	@if exist P:\Privat\Z80_Contest\Software\RemotePictureDisplay\starter.lod  \
            del P:\Privat\Z80_Contest\Software\RemotePictureDisplay\starter.lod
	@if exist P:\Privat\Z80_Contest\Software\RemotePictureDisplay\starter.hex  \
            del P:\Privat\Z80_Contest\Software\RemotePictureDisplay\starter.hex
	@if exist P:\Privat\Z80_Contest\Software\RemotePictureDisplay\output\glcd.obj  \
            del P:\Privat\Z80_Contest\Software\RemotePictureDisplay\output\glcd.obj
	@if exist P:\Privat\Z80_Contest\Software\RemotePictureDisplay\output\main.obj  \
            del P:\Privat\Z80_Contest\Software\RemotePictureDisplay\output\main.obj
	@if exist P:\Privat\Z80_Contest\Software\RemotePictureDisplay\output\stringhdl.obj  \
            del P:\Privat\Z80_Contest\Software\RemotePictureDisplay\output\stringhdl.obj

rebuildall: clean Release

relink: deltarget Release

LIBS = 

OBJS =  \
            P:\Privat\Z80_Contest\Software\RemotePictureDisplay\output\glcd.obj  \
            P:\Privat\Z80_Contest\Software\RemotePictureDisplay\output\main.obj  \
            P:\Privat\Z80_Contest\Software\RemotePictureDisplay\output\stringhdl.obj

starter: $(OBJS)
	 $(LINK)  @P:\Privat\Z80_Contest\Software\RemotePictureDisplay\output\starter.lnk

P:\Privat\Z80_Contest\Software\RemotePictureDisplay\output\glcd.obj :  \
            P:\Privat\Z80_Contest\Software\RemotePictureDisplay\source\glcd.c  \
            C:\PROGRA~1\ZiLOG\ZDSII_~1.4\include\eZ80.h  \
            C:\PROGRA~1\ZiLOG\ZDSII_~1.4\include\eZ80L92.h  \
            C:\PROGRA~1\ZiLOG\ZDSII_~1.4\include\ez80190.h  \
            C:\PROGRA~1\ZiLOG\ZDSII_~1.4\include\ez80F91.h  \
            C:\PROGRA~1\ZiLOG\ZDSII_~1.4\include\ez80F92.h  \
            C:\PROGRA~1\ZiLOG\ZDSII_~1.4\include\ez80F93.h  \
            P:\Privat\Z80_CO~1\Software\REMOTE~1\source\font.h  \
            P:\Privat\Z80_CO~1\Software\REMOTE~1\source\glcd.h  \
            P:\Privat\Z80_CO~1\Software\REMOTE~1\source\hardware.h  \
            P:\Privat\Z80_CO~1\Software\REMOTE~1\source\picture.h  \
            P:\Privat\Z80_CO~1\Software\REMOTE~1\source\STRING~1.H
	 $(CC)  $(CFLAGS) P:\Privat\Z80_Contest\Software\RemotePictureDisplay\source\glcd.c

P:\Privat\Z80_Contest\Software\RemotePictureDisplay\output\main.obj :  \
            P:\Privat\Z80_Contest\Software\RemotePictureDisplay\source\main.c  \
            C:\PROGRA~1\ZiLOG\ZDSII_~1.4\include\Stdarg.h  \
            C:\PROGRA~1\ZiLOG\ZDSII_~1.4\include\eZ80.h  \
            C:\PROGRA~1\ZiLOG\ZDSII_~1.4\include\eZ80L92.h  \
            C:\PROGRA~1\ZiLOG\ZDSII_~1.4\include\ez80190.h  \
            C:\PROGRA~1\ZiLOG\ZDSII_~1.4\include\ez80F91.h  \
            C:\PROGRA~1\ZiLOG\ZDSII_~1.4\include\ez80F92.h  \
            C:\PROGRA~1\ZiLOG\ZDSII_~1.4\include\ez80F93.h  \
            C:\PROGRA~1\ZiLOG\ZDSII_~1.4\include\stdio.h  \
            P:\Privat\Z80_CO~1\Software\REMOTE~1\source\glcd.h  \
            P:\Privat\Z80_CO~1\Software\REMOTE~1\source\hardware.h
	 $(CC)  $(CFLAGS) P:\Privat\Z80_Contest\Software\RemotePictureDisplay\source\main.c

P:\Privat\Z80_Contest\Software\RemotePictureDisplay\output\stringhdl.obj :  \
            P:\Privat\Z80_Contest\Software\RemotePictureDisplay\source\stringhdl.c
	 $(CC)  $(CFLAGS) P:\Privat\Z80_Contest\Software\RemotePictureDisplay\source\stringhdl.c

