using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace RemoteDisplay
{
	/// <summary>
	/// Zusammenfassung fr Form1.
	/// </summary>
	public class F_Main : System.Windows.Forms.Form
	{
		private System.IO.Ports.SerialPort serialPort1;
		private System.Windows.Forms.OpenFileDialog openFileDialog1;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.Timer timer1;
		private System.Windows.Forms.MainMenu mainMenu1;
		private System.Windows.Forms.MenuItem menuItem1;
		private System.Windows.Forms.MenuItem menuItem2;
		private System.Windows.Forms.MenuItem menuItem3;
		private System.Windows.Forms.MenuItem menuItem4;
		private System.Windows.Forms.MenuItem menuItem5;
		private System.Windows.Forms.MenuItem menuItem6;
		private System.Windows.Forms.MenuItem menuItem7;
		private System.ComponentModel.IContainer components;

		public F_CaptureSettings FCaptureSettings;

		private static int BlackLevel = 128;
		private static int ScreenRefresh = 200;
 
		public F_Main()
		{
			//
			// Erforderlich fr die Windows Form-Designeruntersttzung
			//
			InitializeComponent();

			//
			// TODO: Fgen Sie den Konstruktorcode nach dem Aufruf von InitializeComponent hinzu
			//
		}

		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(F_Main));
			this.serialPort1 = new System.IO.Ports.SerialPort(this.components);
			this.openFileDialog1 = new System.Windows.Forms.OpenFileDialog();
			this.panel1 = new System.Windows.Forms.Panel();
			this.timer1 = new System.Windows.Forms.Timer(this.components);
			this.mainMenu1 = new System.Windows.Forms.MainMenu();
			this.menuItem1 = new System.Windows.Forms.MenuItem();
			this.menuItem2 = new System.Windows.Forms.MenuItem();
			this.menuItem3 = new System.Windows.Forms.MenuItem();
			this.menuItem4 = new System.Windows.Forms.MenuItem();
			this.menuItem5 = new System.Windows.Forms.MenuItem();
			this.menuItem6 = new System.Windows.Forms.MenuItem();
			this.menuItem7 = new System.Windows.Forms.MenuItem();
			this.SuspendLayout();
			// 
			// serialPort1
			// 
			this.serialPort1.BaudRate = 115200;
			this.serialPort1.Encoding = ((System.Text.Encoding)(resources.GetObject("serialPort1.Encoding")));
			this.serialPort1.PortName = "COM4";
			// 
			// panel1
			// 
			this.panel1.BackColor = System.Drawing.Color.RosyBrown;
			this.panel1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.panel1.ForeColor = System.Drawing.SystemColors.ControlText;
			this.panel1.Location = new System.Drawing.Point(16, 8);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(130, 66);
			this.panel1.TabIndex = 4;
			// 
			// timer1
			// 
			this.timer1.Enabled = true;
			this.timer1.Interval = 200;
			this.timer1.Tick += new System.EventHandler(this.timer1_Tick);
			// 
			// mainMenu1
			// 
			this.mainMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuItem1,
																					  this.menuItem3});
			// 
			// menuItem1
			// 
			this.menuItem1.Index = 0;
			this.menuItem1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuItem2});
			this.menuItem1.Text = "&File";
			this.menuItem1.Click += new System.EventHandler(this.menuItem1_Click);
			// 
			// menuItem2
			// 
			this.menuItem2.Index = 0;
			this.menuItem2.Text = "&Close";
			this.menuItem2.Click += new System.EventHandler(this.menuItem2_Click);
			// 
			// menuItem3
			// 
			this.menuItem3.Index = 1;
			this.menuItem3.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuItem4,
																					  this.menuItem5,
																					  this.menuItem6,
																					  this.menuItem7});
			this.menuItem3.Text = "&Settings";
			// 
			// menuItem4
			// 
			this.menuItem4.Index = 0;
			this.menuItem4.Text = "&ComPort";
			// 
			// menuItem5
			// 
			this.menuItem5.Index = 1;
			this.menuItem5.Text = "&Capture";
			this.menuItem5.Click += new System.EventHandler(this.menuItem5_Click);
			// 
			// menuItem6
			// 
			this.menuItem6.Index = 2;
			this.menuItem6.Text = "-";
			// 
			// menuItem7
			// 
			this.menuItem7.Index = 3;
			this.menuItem7.Text = "&Save Settings";
			// 
			// F_Main
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.BackColor = System.Drawing.Color.RosyBrown;
			this.ClientSize = new System.Drawing.Size(168, 83);
			this.Controls.Add(this.panel1);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.MaximizeBox = false;
			this.Menu = this.mainMenu1;
			this.Name = "F_Main";
			this.Text = "RemoteDisplay";
			this.TopMost = true;
			this.TransparencyKey = System.Drawing.Color.RosyBrown;
			this.Closing += new System.ComponentModel.CancelEventHandler(this.Form1_Closing);
			this.Load += new System.EventHandler(this.Form1_Load);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// Der Haupteinstiegspunkt fr die Anwendung.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new F_Main());
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			FCaptureSettings = new F_CaptureSettings();
			serialPort1.Open();
		}

		private void Form1_Closing(object sender, System.ComponentModel.CancelEventArgs e)
		{
			serialPort1.Close();
		}

		private void UpdateRemoteDisplay(Image Img)
		{
			int x;
			int y;
			int page;
			int red;
			int blue;
			int green;
			int gray;
			int index = 0;
			byte [] buffer = new byte [1024];
			
			System.Drawing.Size SZ = new Size(128, 64);
			Bitmap bm = new Bitmap(Img, SZ);

			index = 0;
			for (page=0; page<8; page++)
			{
				for (x=0; x<128; x++)
				{
					for (y=7; y>=0; y--)
					{
						buffer[index] = (byte)(buffer[index] << 1);
						red = bm.GetPixel(x, (page*8)+y).R;
						blue = bm.GetPixel(x, (page*8)+y).B;
						green = bm.GetPixel(x, (page*8)+y).G;
						gray = (red+blue+green)/3;
						if (gray >= BlackLevel)
						{
							// Reset Pixel
							buffer[index] = (byte)(buffer[index] | 1);
						}
					}
					index++;
				}
			}
			serialPort1.Write(buffer, 0, buffer.Length);
		}

		private void timer1_Tick(object sender, System.EventArgs e)
		{
			timer1.Interval = ScreenRefresh;
			UpdateRemoteDisplay(Emxx.Capture.Control(panel1, true, true));
		}

		private void menuItem2_Click(object sender, System.EventArgs e)
		{
			Close();
		}

		private void menuItem5_Click(object sender, System.EventArgs e)
		{
			FCaptureSettings.Show();
			FCaptureSettings.BringToFront();
		}

		public static void SetScreenRefresh(int interval)
		{
			ScreenRefresh = interval;
		}

		public static void SetBlackLevel(int level)
		{
			BlackLevel = level;
		}

		private void menuItem1_Click(object sender, System.EventArgs e)
		{
		
		}

	}

}
