#ifndef _GLCD_H
  #define _GLCD_H

  extern void GLCD_Init(void);
  extern void GLCD_Off(void);
  extern void GLCD_SetStartLine(unsigned char controller, unsigned char line);
  extern void GLCD_ReverseDisplay(unsigned char controller, unsigned char yesorno);
  extern void GLCD_SetContrast(unsigned char controller, unsigned char contrast);
  extern void GLCD_WriteDisplayByte(unsigned char page, unsigned char line, unsigned char databyte);
  extern void GLCD_Clear(void);
  extern void GLCD_SetPixel(unsigned char x, unsigned char y);
  extern void GLCD_ResetPixel(unsigned char x, unsigned char y);
  extern void GLCD_InvertPicture(void);
  extern unsigned char GLCD_WriteChar(unsigned char page, unsigned char line, unsigned char character);
  extern unsigned char GLCD_OverWriteChar(unsigned char page, unsigned char line, unsigned char character);
  extern void GLCD_WriteStr(unsigned char page, unsigned char line, char* str);
  extern void GLCD_OverWriteStr(unsigned char page, unsigned char line, char* str);
  extern void GLCD_WriteInt(unsigned char page, unsigned char line, int number);
  extern void GLCD_OverWriteInt(unsigned char page, unsigned char line, int number);
  extern void GLCD_DrawLine(int x1, int y1, int x2, int y2);
  extern void GLCD_DrawBox(unsigned char StartX, unsigned char StartY, unsigned char EndX, unsigned char EndY);
  extern void GLCD_FillBox(unsigned char StartX, unsigned char StartY, unsigned char EndX, unsigned char EndY);
  extern void GLCD_ClearBox(unsigned char StartX, unsigned char StartY, unsigned char EndX, unsigned char EndY);
  extern void GLCD_ShowPicture(unsigned char index);
  extern void GLCD_DrawCircle(unsigned char xCenter, unsigned char yCenter, unsigned char radius);
  extern void GLCD_BoundaryFill(int x, int y);
  extern void GLCD_FloorFill8(int x, int y);
  extern void GLCD_ClearLine(unsigned char line);
  extern void GLCD_InvertPage(unsigned char line, unsigned char xStart, unsigned char xEnd);
  
#endif
