void AddChar(char *MainString, unsigned char AddChar)
  {
  if (*MainString != '\0')       // Wenn erstes Zeichen kein Nullzeichen ist...
    {  
    do
      {
      MainString++;
      }
    while (*MainString != '\0'); // ...Bis Nullzeichen erreicht ist
    }
    
  *MainString = AddChar;         // Character anstelle von Nullzeichen einfgen
  MainString++;                  // Pointer erhhen
  *MainString = '\0';            // Nullzeichen einsetzen
  }
  
void RemoveLastChar(char *MainString)
  {
  if (*MainString != '\0')       // Wenn erstes Zeichen kein Nullzeichen ist...
    {
    do
      {
      MainString++;              // Pointer erhhen
      }
    while (*MainString != '\0'); // ...Bis Nullzeichen erreicht ist
    MainString--;                // Auf letztes Zeichen im String zurckspringen
    }
    
  *MainString = '\0';            // Nullzeichen einfgen
  }
  
void StringInit(char *str, unsigned int str_length)
  {
  unsigned int index;
    
  for (index=0; index<str_length; index++)
    {
    str[index] = '\0';
    }
  }
  
void IntToStr(int zahl, char *str)
  {
  unsigned char ziffer;
  unsigned char flag;
  unsigned char str_zahl;
  unsigned int maske;
    
  if (zahl < 0)
    {
    *str = '-';                                  // Bei negativer Zahl ein Minuszeichen voranstellen
    str++;
    zahl = 32768 - (zahl & ~32768);              // Minus entfernen; absoluten Wert bernehmen 
    }
    
  if (zahl == 0)
    {
    *str = '0';                                  // Wenn Zahl null ist, dies direkt ausgeben
    str++;
    }
  else
    {
    maske = 10000;                               // Maske auf erste Ziffer im Integerwert setzen
    flag = 0;                                    // Nullunterdrckung am Anfang der Zahl
      
    while (maske > 0)
      {
      ziffer = zahl / maske;                     // Wert der Ziffer ermitteln
        
      if (ziffer != 0)
        {
        flag = 1;                                // Beim ersten Auftreten einer Zahl <> null, Zeichenunterdrckung aufheben
        }
        
      if (flag == 1)
        {
        str_zahl = '0' + ziffer;                 // ASCII Wert der Ziffer
        *str = str_zahl;                         // Ziffer auf Display schreiben
        str++;
        }
      zahl = zahl - (maske * ziffer);            // Ausgegebene Ziffer aus Zahl lschen
      maske = maske / 10;                        // Maske auf nchste Ziffer setzen
      }
    }
  *str = '\0';
  }
